View Issue Details

IDProjectCategoryView StatusLast Update
0002674SymmetricDSImprovementpublic2016-08-09 13:12
ReporterelongAssigned Toelong 
PrioritynormalSeverityminorReproducibilityN/A
Status closedResolutionfixed 
Product Version3.8.0 
Target Version3.8.0Fixed in Version3.8.0 
Summary0002674: Route for only channels that have data waiting to route
DescriptionAdd a parameter to enable running a query to determine which channels have data waiting, and then route for just those channels. Currently, sym_data is queried for each of config, heartbeat, reload, and default, but there is often data waiting on one channel. While we will run 1 extra query to see which channels have data, it will save running the queries for all the channels, and the upfront query should be able to scan the index of the table without having to do data retrieval.
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.8 80e6d174

2016-07-08 10:27:46

admin

Details Diff
0002674: Route for only channels that have data waiting to route
0002674
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/common/ParameterConstants.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/RouterService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/RouterServiceSqlMap.java Diff File
mod - symmetric-core/src/main/resources/symmetric-default.properties Diff File

Issue History

Date Modified Username Field Change
2016-07-08 10:14 elong New Issue
2016-07-08 10:14 elong Status new => assigned
2016-07-08 10:14 elong Assigned To => elong
2016-07-08 11:00 admin Changeset attached => SymmetricDS 3.8 80e6d174
2016-07-11 08:41 elong Status assigned => resolved
2016-07-11 08:41 elong Fixed in Version => 3.8.0
2016-07-11 08:41 elong Resolution open => fixed
2016-08-09 13:12 admin Status resolved => closed